> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vouchmark.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update threshold

> Set the payment threshold for the wallet.

Updates the wallet payment threshold.

<Note>
  The request amount is in **kobo** (1 NGN = 100 kobo). The returned wallet also reports amounts in integer **kobo**.
</Note>

## Body

<ParamField body="paymentThresholdKobo" type="integer" required>
  Payment threshold in kobo. Minimum 0.
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X PATCH https://api.vouchmark.com/v1/wallet/threshold \
    -H "Authorization: Bearer $TOKEN" \
    -H "Content-Type: application/json" \
    -d '{"paymentThresholdKobo": 1000000}'
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "success": true,
    "message": "Threshold updated successfully",
    "data": {
      "balanceKobo": 5000000,
      "paymentThresholdKobo": 1000000,
      "autoTopUp": {
        "enabled": true,
        "triggerBelowKobo": 500000,
        "rechargeAmountKobo": 10000000
      },
      "hasSavedCard": true,
      "currency": "NGN"
    }
  }
  ```
</ResponseExample>

The `data` object is the full wallet DTO described in [Get wallet](/api-reference/wallet/get-wallet) (values in integer kobo).
